Get ServiceBridgeMetadata by ID
curl --request GET \
--url https://platform.kodexa.ai/api/service-bridges/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.kodexa.ai/api/service-bridges/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.kodexa.ai/api/service-bridges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"deleteUserEmail": "<string>",
"deleteUserId": "<string>",
"deleted": true,
"deletedDate": "2023-11-07T05:31:56Z",
"deprecated": true,
"extensionPackRef": "<string>",
"id": "<string>",
"metadata": {
"auth": {
"clientId": "<string>",
"clientSecret": "<string>",
"headerName": "<string>",
"headerPrefix": "<string>",
"requestBody": {},
"requestFormat": "<string>",
"responseMapping": {
"accessToken": "<string>",
"expiresIn": "<string>"
},
"tokenCacheBufferSeconds": 123,
"tokenUrl": "<string>",
"type": "<string>"
},
"baseUrl": "<string>",
"checksum": "<string>",
"defaultHeaders": [
{
"name": "<string>",
"secretRef": "<string>",
"value": "<string>"
}
],
"deleteProtection": true,
"description": "<string>",
"endpoints": [
{
"cacheEnabled": true,
"cacheTtlSeconds": 123,
"cacheableVerbs": [
"<string>"
],
"description": "<string>",
"headers": [
{
"name": "<string>",
"secretRef": "<string>",
"value": "<string>"
}
],
"initScope": "<string>",
"initScript": "<string>",
"method": "<string>",
"name": "<string>",
"path": "<string>",
"postReplyScript": "<string>",
"preSendScript": "<string>",
"requestSchema": {},
"responseSchema": {}
}
],
"icon": "<string>",
"imageUrl": "<string>",
"overviewMarkdown": "<string>",
"provider": "<string>",
"providerImageUrl": "<string>",
"providerUrl": "<string>"
},
"name": "<string>",
"organizationId": "<string>",
"publicAccess": true,
"slug": "<string>",
"template": true,
"type": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"yamlSource": "<string>"
}Service Bridges
Get ServiceBridgeMetadata by ID
Retrieves a single ServiceBridgeMetadata by its unique identifier. Service bridges define external API endpoints that kodexa-api proxies on behalf of users.
GET
/
api
/
service-bridges
/
{id}
Get ServiceBridgeMetadata by ID
Authorizations
x-api-keybearerAuth
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Response
The ServiceBridgeMetadata
Show child attributes
Show child attributes
⌘I
